syscallbypid-nd(8)

NAME
syscallbypid-nd - trace process signals. Uses Linux SystemTap (non-debuginfo).

SYNOPSIS
syscallbypid-nd.stp

DESCRIPTION
This traces syscalls system-wide, and produces a summary report showing their counts by process ID, process name, and syscall types.

REQUIREMENTS
SystemTap.

EXAMPLES

Count and summarize syscalls:
    # syscallbypid-nd.stp

FIELDS

PID Process ID.

CMD Process name.

SYSCALL
    System call name.

COUNT
    Number of syscalls issued during tracing.

OVERHEAD
This uses in-kernel summaries to reduce overheads, so the overhead should be low (much lower than the current strace(1) implementation, for example). Test before use to confirm.

SOURCE
This is from the SystemTap lwtools collection.

    https://github.com/brendangregg/systemtap-lwtools

Also look under the examples directory for a text file containing example usage, output, and commentary for this tool.

OS
Linux

STABILITY
Unstable - in development.

AUTHOR
Brendan Gregg

SEE ALSO
strace(1)